// Audio player
var my_media = null;

// Play audio
function playAudio(src) {
    if(my_media != null) {
        my_media.release();
    }
    setTimeout(function() {
        // Create Media object from src
        my_media = new Media(src, onSuccess, onError);
        // Play audio
        my_media.play();
    }, 50);
}

// Pause audio
function pauseAudio() {
    if (my_media) {
        my_media.pause();
    }
}

// Stop audio
function stopAudio() {
    if (my_media) {
        my_media.stop();
    }
}

// onSuccess Callback
function onSuccess() {
    console.log("playAudio():Audio Success");
    // release the media resource once finished playing
    my_media.release();
}

// onError Callback
function onError(error) {
    alert('code: '    + error.code    + '\n' +
          'message: ' + error.message + '\n');
}